uses testlib, SysUtils;

const
  maxn = 100000;

var
  pl, pm, jl, n, i : longint;
  a : array[1..maxn] of longint;
  s, k : int64;

begin
  n := inf.readlongint;
  k := inf.readlongint;
  for i := 1 to n do begin
    a[i] := inf.readlongint;
  end;
  jl := ans.readlongint;
  pl := ouf.readlongint;
  if (pl = 0) then begin
    if (jl = 0) then
      quit(_ok, 'No solution');
    quit(_wa, 'Solution not found');
  end;
  if (pl < 1) or (pl > n) then
    quit(_wa, 'Wrong length');
  pm := ouf.readlongint;
  if (pm < 1) or (pm > n) then
    quit(_wa, 'Wrong start of sequence');
  if (pm + pl - 1 > n) then
    quit(_wa, 'Too long sequence');
  if (pl < jl) then
    quit(_wa, 'Too short sequence');
  s := 0;
  for i := pm to pm + pl - 1 do begin
    s := s + a[i];
  end;
  if (s <> k * pl) then
    quit(_wa, 'Wrong sum');
  if (pl > jl) then
    quit(_fail, 'Contestant found better solution');
  quit(_ok, 'OK: length = ' + IntToStr(pl));
end.